%
%  Plot seismogram pairs aligned from 
%

clear all

%--------------------- 2009/2013 seismogram pairs ----------

a=load('CCCoutput.2006');
index=a(:,1);
time=a(:,2);
amp1=a(:,3)/2;
amp2=a(:,4)/2;
tshift=a(:,5);
ccc=a(:,6);
time(time==time(1))=NaN;
azi=round(a(:,7));

fig=figure('units','pixels','outerposition',[50 50 600 600 ],'paperpositionmode','auto');  %   left up width height
clf
set(0,'DefaultTextFontSize', 10)
set(0,'DefaultAxesFontSize', 10)
set(gcf, 'Color', [1,1,1]);
subplot('Position',[0.23 0.06 0.7 0.9 ])  %   left up width height
plot(time,index+amp1,'r')
hold on
plot(time-tshift,index+amp2,'b')

%------- this is how you adjust a seismogram manualy 
%------- if you don't like the shifts from the fortran code
%   tshift( index == 1 ) = 0.45;
%   tshift( index == 2 ) = 0.45;
%   tshift( index == 3 ) = 0.45;

for i=1:max(index)2;
   ccctxt=mean(ccc( index==i));
   azitxt=mean(azi( index==i));
   tshifttxt=mean(tshift(index==i));
   txtstuff = sprintf('%4.2f %d %4.2f',ccctxt,azitxt,tshifttxt);
   text(-10,i,txtstuff);
end
text(-10,i+0.5,'ccc   azi   shift');
axis('tight')
title('2009 (red) and 2006 (blue) CCC aligned traces');
print -dpng traces.2009_2006.png

%--------------------- 2009/2013 seismogram pairs ----------

a=load('CCCoutput.2013');
index=a(:,1);
time=a(:,2);
amp1=a(:,3)/2;
amp2=a(:,4)/2;
tshift=a(:,5);
ccc=a(:,6);
time(time==time(1))=NaN;
azi=round(a(:,7));

fig=figure('units','pixels','outerposition',[50 50 600 600 ],'paperpositionmode','auto');  %   left up width height
clf
set(0,'DefaultTextFontSize', 10)
set(0,'DefaultAxesFontSize', 10)
set(gcf, 'Color', [1,1,1]);
subplot('Position',[0.23 0.06 0.7 0.9 ])  %   left up width height
plot(time,index+amp1,'r')
hold on
plot(time-tshift,index+amp2,'b')
for i=1:max(index)2;
   ccctxt=mean(ccc( index==i));
   azitxt=mean(azi( index==i));
   tshifttxt=mean(tshift(index==i));
   txtstuff = sprintf('%4.2f %d %4.2f',ccctxt,azitxt,tshifttxt);
   text(-12,i,txtstuff);
end
text(-12,i+0.5,'ccc   azi   shift');
axis('tight')
title('2009 (red) and 2013 (blue) CCC aligned traces');
print -dpng traces.2009_2013.png


